Subject: [bug#38106] [PATCH] gnu: mrustc: Update to 0.8.1.

From: Danny Milosavljevic <[email-masked]>
Date: Mon, 20 Jan 2020 20:45:49 +0100

> I have an account on bayfront but cannot compile guix there (from manual checkout).  I get:
> 
> error: failed to load 'guix/scripts/pack.scm':
> ice-9/eval.scm:293:34: no binding `zip' to hide in module (gnu packages compression)
> 
> even after removing all .go files and removing ~/.cache/guile .

(That was because gnu/packages/rust.scm had a misplaced parenthesis.  It did
provide an error message for the parenthesis and then continued to load a lot
of files until it finally failed with the error message above.  I did not see
the first error message at first)